summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2018-04-23 18:29:02 +0200
committer Willy Sudiarto Raharjo2018-04-28 01:40:24 +0200
commit07cfca7b3374d69d143e0e8df15975f2454e881a (patch)
treef5214e29a8dca0a9b5a452781c64f9e1f0652cf0
parente5e9a7dc43b44d3f394fc0d02ea4ca2265c0a4ff (diff)
downloadslackbuilds-07cfca7b3374d69d143e0e8df15975f2454e881a.tar.gz
audio/speex: Don't break if libspeex.la is not present.
Requested by orbea for slibtool Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--audio/speex/speex.SlackBuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/audio/speex/speex.SlackBuild b/audio/speex/speex.SlackBuild
index 824a4523d6..dba755fb36 100644
--- a/audio/speex/speex.SlackBuild
+++ b/audio/speex/speex.SlackBuild
@@ -97,8 +97,8 @@ make install DESTDIR=$PKG
find $PKG/usr/man -type f -exec gzip -9 '{}' \;
-# Fix libspeex.la
-sed -i "s|-L$PKG.*/lib${LIBDIRSUFFIX} ||" $PKG/usr/lib${LIBDIRSUFFIX}/libspeex.la
+# Fix libspeex.la (if present)
+sed -i "s|-L$PKG.*/lib${LIBDIRSUFFIX} ||" $PKG/usr/lib${LIBDIRSUFFIX}/libspeex.la || true
cp -a \
AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO \